local _, ns = ...
local B, C, L, DB = unpack(ns)
local P = B:GetModule("Plus")

local _G = getfenv(0)
local select, pairs, type = select, pairs, type

function P:WeakAuras()
	if not IsAddOnLoaded("WeakAuras") then return end

	local function ReskinWAOptions()
		local frame = _G.WeakAurasOptions
		if not frame then return end

		B.StripTextures(frame)
		B.SetBD(frame)
		B.ReskinInput(frame.filterInput)
		B.Reskin(_G.WASettingsButton)

		local closeBG = select(1, frame:GetChildren())
		B.StripTextures(closeBG)

		local close = closeBG:GetChildren()
		close:ClearAllPoints()
		close:SetPoint("TOPRIGHT", frame, "TOPRIGHT")

		local minmizeBG = select(5, frame:GetChildren())
		B.StripTextures(minmizeBG)

		local minmize = minmizeBG:GetChildren()
		minmize:ClearAllPoints()
		minmize:SetPoint("RIGHT", close, "LEFT")

		for i = 1, frame.texteditor.frame:GetNumChildren() do
			local child = select(i, frame.texteditor.frame:GetChildren())
			if child:GetObjectType() == 'Button' and child:GetText() then
				B.Reskin(child)
			end
		end
	end

	local function loadFunc(event, addon)
		if addon == "WeakAurasOptions" then
			hooksecurefunc(WeakAuras, "CreateFrame", ReskinWAOptions)
			B:UnregisterEvent(event, loadFunc)
		end
	end
	B:RegisterEvent("ADDON_LOADED", loadFunc)
end
